Recent

Author Topic: Install Lazarus 3.0 on Ubuntu 24.04  (Read 2285 times)

SandyG

  • Jr. Member
  • **
  • Posts: 66
Install Lazarus 3.0 on Ubuntu 24.04
« on: May 04, 2024, 05:00:42 am »
Just got a second Raspberry Pi5 and downloaded the released version of Ubuntu 24.04 Arm version from the Ubuntu site.

Had a quirky time installing Ubuntu, first try failed when I installed with adding a WiFi connection during the install.
Second try, no WiFi and it seemed to work. Some odd display issues while completing the install, but seemed to work. For the install I just the Raspberry Pie imager and selected the option to allow me to supply the image. Took a few minutes, but finally burned the memory stick, then dumped it into the RP5 and installed.

This is all I did to do the Lazarus install -
Code: Bash  [Select][+][-]
  1. sudo apt-get install lazarus

Changed the debugger to GDB instead of FPC's debugger which does not work on Arm so I have been told.

F9 to compile and it seemed to work. Not much more then testing with a simple form.

Lazarus doesn't show up in the SNAP package manager search as well as a lot of other stuff (Like Geany editor) but using the 'apt-get' seems to work just fine.

Easy for a change.

SandyG

  • Jr. Member
  • **
  • Posts: 66
Re: Install Lazarus 3.0 on Ubuntu 24.04
« Reply #1 on: May 20, 2024, 08:39:13 pm »
Well not quite so good news. In trying to install a new package into Lazarus, the IDE will not rebuild with it.

Error is something like can't fine Unit for Laz.virtualtree or the source. Going to play with it and see if a path issue, but out of the box on ARM Ubuntu 24.04 can't rebuild the IDE to add packages  :(

Sandy

TRon

  • Hero Member
  • *****
  • Posts: 2806
Re: Install Lazarus 3.0 on Ubuntu 24.04
« Reply #2 on: May 20, 2024, 09:28:42 pm »
Try to install Lazarus manually to somewhere where you have enough access rights (no guarantee that suggestion works but seems to work for me). Do not use the default package from your package manager. see also #40701

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 10012
  • Debugger - SynEdit - and more
    • wiki
Re: Install Lazarus 3.0 on Ubuntu 24.04
« Reply #3 on: May 20, 2024, 09:35:22 pm »
The compile error is some fpc issue...

Compile the package in question with -Ur

But mind, if you make changes to that package, you need to force recompile it. -Ur will prevent recompilation triggered by source changes. But it will also (afaik) work around the issue at hand.

The package that need -Ur the the laz.virtualtreeview in this case.

SandyG

  • Jr. Member
  • **
  • Posts: 66
Re: Install Lazarus 3.0 on Ubuntu 24.04
« Reply #4 on: May 22, 2024, 01:16:50 am »
I'll have to play with it and see if I can get it to work with the complier option change. Seems like something else in the build might be causing it, but don't know much about how it all works. Seems like a bad release on Ubuntu/Deb side for it to go out, but I guess automated testing can only catch so much.

I did add a note to one of the reports that it also happens on ARM Ubuntu so possibly someone will also look at it.

Thanks, will play and see what I can do.

Sandy


TRon

  • Hero Member
  • *****
  • Posts: 2806
Re: Install Lazarus 3.0 on Ubuntu 24.04
« Reply #5 on: May 22, 2024, 08:48:39 am »
There is no use to add that option to your build process. It is merely an issue of not having the correct access rights. Therefor lazarus needs to divert compiling to another directory but the compiler gets confused about the checksums and locates the wrong directory.

Ergo, preventing the original cause in the first place solves your issue. I linked to the issue because trying to solve it by updating to trunk does not fix the issue (it worsen it) and to let know it is a known issue.

The reason I wrote I am not sure is arm (because that target has additional issues).
« Last Edit: May 22, 2024, 09:14:13 am by TRon »

 

TinyPortal © 2005-2018